﻿%%FRAGMENTINPUT_STRUCT%%

%%FRAGMENTOUTPUT_STRUCT%%

%%SAMPLERFRONT_BINDING%% var samplerFront : sampler;
%%TEXTUREFRONT_BINDING%% var textureFront : texture_2d<f32>;

struct ShaderParams {
	trimw : f32,
	trimh : f32,
	trimwl : f32,
	trimhl : f32	
};

%%SHADERPARAMS_BINDING%% var<uniform> shaderParams : ShaderParams;

%%C3PARAMS_STRUCT%%

%%C3_UTILITY_FUNCTIONS%%


@fragment
fn main(input : FragmentInput) -> FragmentOutput
{

	var front: vec4<f32> = textureSample(textureFront, samplerFront, input.fragUV);
	let uv : vec2<f32> = c3_clampToSrcOrigin(input.fragUV);

	if (uv.x > shaderParams.trimw || uv.y > shaderParams.trimh || uv.x < shaderParams.trimwl || uv.y < shaderParams.trimhl){
		front = vec4(0.);
		}

	var output : FragmentOutput;
	output.color = front;
	return output;
}